GCLOUD_COMPUTE_HEALTH-CHECKS_CREATE_SSL(1)

NAME

gcloud compute health-checks create ssl - create a SSL health check to monitor load balanced instances

SYNOPSIS

gcloud compute health-checks create ssl NAME [--check-interval=CHECK_INTERVAL; default="5s"] [--description=DESCRIPTION] [--healthy-threshold=HEALTHY_THRESHOLD; default="2"] [--port=PORT; default="80"] [--port-name=PORT_NAME] [--proxy-header=PROXY_HEADER; default="NONE"] [--request=REQUEST] [--response=RESPONSE] [--timeout=TIMEOUT; default="5s"] [--unhealthy-threshold=UNHEALTHY_THRESHOLD; default="2"] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute health-checks create ssl is used to create a SSL health check. SSL health checks monitor instances in a load balancer controlled by a target pool. All arguments to the command are optional except for the name of the health check. For more information on load balancing, see https://cloud.google.com/compute/docs/load-balancing-and-autoscaling/

POSITIONAL ARGUMENTS

    NAME
        The name of the SSL health check to create.

FLAGS

    --check-interval=CHECK_INTERVAL; default="5s"
        How often to perform a health check for an instance. For example, specifying 10s will run the check every 10 seconds. Valid units for this flag are ``s'' for seconds and ``m'' for minutes. The default value is 5s.

    --description=DESCRIPTION
        An optional string description for the SSL health check.

    --healthy-threshold=HEALTHY_THRESHOLD; default="2"
        The number of consecutive successful health checks before an unhealthy instance is marked as healthy. The default is 2.

    --port=PORT; default="80"
        The TCP port number that this health check monitors. The default value is 80.

    --port-name=PORT_NAME
        The port name that this health check monitors. By default, this is empty.

    --proxy-header=PROXY_HEADER; default="NONE"
        The type of proxy protocol header to be sent to the backend. PROXY_HEADER must be one of:

        NONE
            No proxy header is added.

        PROXY_V1
            Adds the header "PROXY UNKNOWN\r\n".

    --request=REQUEST
        An optional string of up to 1024 characters to send once the health check TCP connection has been established. The health checker then looks for a reply of the string provided in the --response field. If --response is not configured, the health checker does not wait for a response and regards the probe as successful if the TCP or SSL handshake was successful.

    --response=RESPONSE
        An optional string of up to 1024 characters that the health checker expects to receive from the instance. If the response is not received exactly, the health check probe fails. If --response is configured, but not --request, the health checker will wait for a response anyway. Unless your system automatically sends out a message in response to a successful handshake, only configure --response to match an explicit --request.

    --timeout=TIMEOUT; default="5s"
        If Google Compute Engine doesn't receive a healthy response from the instance by the time specified by the value of this flag, the health check request is considered a failure. For example, specifying 10s will cause the check to wait for 10 seconds before considering the request a failure. Valid units for this flag are ``s'' for seconds and ``m'' for minutes. The default value is 5s.

    --unhealthy-threshold=UNHEALTHY_THRESHOLD; default="2"
        The number of consecutive health check failures before a healthy instance is marked as unhealthy. The default is 2.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.